summaryrefslogtreecommitdiff
path: root/tests/rm/unread3
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/unread3')
-rwxr-xr-xtests/rm/unread316
1 files changed, 8 insertions, 8 deletions
diff --git a/tests/rm/unread3 b/tests/rm/unread3
index 3d359a770..c8af5cfe7 100755
--- a/tests/rm/unread3
+++ b/tests/rm/unread3
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that rm works even from an unreadable working directory.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -47,16 +47,16 @@ chmod u=x,go= .
t=$pwd/$tmp
# With coreutils-5.2.1, this would get a failed assertion.
-rm -r $t/a $t/b || fail=1
+rm -r "$t"/a "$t"/b || fail=1
# With coreutils-5.2.1, this would get the following:
# rm: cannot get current directory: Permission denied
# rm: failed to return to initial working directory: Bad file descriptor
-rm -r $t/d $t/e || fail=1
+rm -r "$t"/d "$t"/e || fail=1
-test -d $t/a && fail=1
-test -d $t/b && fail=1
-test -d $t/d && fail=1
-test -d $t/e && fail=1
+test -d "$t"/a && fail=1
+test -d "$t"/b && fail=1
+test -d "$t"/d && fail=1
+test -d "$t"/e && fail=1
(exit $fail); exit $fail